const PlayerStateStatic = require('PlayerState');
//栏杆动作
var BarrierSuperClass = require("BarrierSuper");
cc.Class({
    extends:BarrierSuperClass,
    properties: {
        Hurdle: {
            default: null,
            type: cc.Node
        },

    },
    onLoad : function() {
        // var spine = this.spine = this.node.getComponent("baozha");
        // this.spine = this.getComponent(cc.Animation);
        // cc.log("要 波动华",this.spine,this.Hurdle);
        // var spine = this.spine = this.getComponent('sp.Skeleton');
        this._hasStop = true;
        this.init();
    },

    start : function () {
        this.spine = this.getComponent(cc.Animation);
        cc.log("要 波动华",this.spine,this.Hurdle);
    },
    init : function () {
        // this.spine.setAnimation(0, "idle", false);
        // this.spine.timeScale = 0.0;
    },
    collode : function () {
        cc.log("跨栏 不加速区域跳起来");
        //
        // this.getComponent("HurdleBandCharactor_gif").collode();
        // this.spine.setAnimation(0, "idle2", false);
        // this.spine.timeScale = 1.0;
        // this.spine.play("zhendonghua");
        // this.spine = this.Hurdle.getComponent(cc.Animation);
    }


});
